[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ResetEditor

Resets the value in the cell Editor, and optionally re-displays and selects it content.

## Declaration

Source position: grids.pas line 1167

`protected procedure TCustomGrid.ResetEditor;`

## Description

ResetEditor is a procedure used to reset the value in the cell Editor to the stored content for the current cell in the grid control.

ResetEditor calls EditorGetValue to retrieve the value for the current cell and to perform validation using the OnValidateEntry event handler (when assigned). If the column allows editing and goAlwaysShowEditor has been included in the Options for the grid, the EditorShow method is called to re-display the cell Editor and re-select all of the cell content.

ResetEditor is called from the DoExit method when the grid control receives the CM_EXIT control message.